## eole-ntp-server 2.9.0-5

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-ntp-server
VERSION=1.0
EOLE_VERSION=2.9
EOLE_RELEASE=2.9.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ntp-server (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [a1232bc] Mauvais type pour les conditions de calcul de la variable intermédaire.
  * [78d68be] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [df928ce] Benjamin Bohard: Update package since “debian/eole/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 31 Oct 2022 11:01:48 +0100

eole-ntp-server (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a5915d4] mkdir nécessaire pour /etc/network/if-up.d
  * [7ab2e82] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [75add35] Joël Cuissinat: Update package since “debian/eole/2.9.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 28 Oct 2022 15:05:55 +0200

eole-ntp-server (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ea89232] Création de répertoire superflu et filelist pour désactiver si besoin.
  * [5e5de62] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [1c4d9bc] Joël Cuissinat: Update package since “debian/eole/2.9.0-2”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 28 Oct 2022 10:49:32 +0200

eole-ntp-server (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [e39d805] Révision des dépendances pour permettre la conservation de systemd-timesyncd

  [ EOLE Build Daemon ]
  * [906c52b] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 24 Oct 2022 08:55:19 +0200

eole-ntp-server (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [58a4e7e] chore(git): ignore editor backup and swap files
  * [399627b] chore(debian): unfinished structure for packaging

  [ Benjamin Bohard ]
  * [38a74a4] Paquet eole-ntp-server et eole-ntp-server-pkg.
  * [4c6dab7] Serveur NTP détaché dans un nouveau dépôt.
  * [6abaec7] Merge branch 'master' into dist/eole/2.9.0/master
  * [cb87450] Dépendances sur les outils de diagnostique.
  * [4bcefe9] Remplir avec la bonne valeur en fonction du module.
  * [94d4185] Merge branch 'master' into dist/eole/2.9.0/master
  * [8c07928] Passage au format native

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 20 Oct 2022 16:27:05 +0200

=== debian/control ===
Source: eole-ntp-server
Section: admin
Priority: optional
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13)
Standards-Version: 4.6.0
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: https://dev-eole.ac-dijon.fr/git/eole-ntp-server
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/eole-common/repository/eole-ntp-server

Package: eole-ntp-server
Section: admin
Architecture: all
Depends: eole-server,
         systemd-timesyncd|eole-ntp-server-pkg
Description: Dictionnaires, templates et scripts pour un serveur NTP.
 Ce paquet fournit les éléments pour mettre en place un serveur NTP.

Package: eole-ntp-server-pkg
Section: metapackages
Architecture: all
Conflicts: eole-server (<=2.9.0-26)
Depends: ntp,
         ntpdate,
	 ntpstat,
         ${misc:Depends}
Description: Dépendances fonctionnelles pour le serveur NTP.
 Ce paquet installe les dépendances fonctionnelles pour le serveur NTP.

Package: eole-ntp-server-scribe
Section: admin
Architecture: all
Depends: eole-scribe
Description: Templates et scripts pour un serveur NTP.
 Ce paquet fournit les éléments pour mettre en place un serveur NTP
 dans le conteneur addc d’un Scribe.

## eole-ntp-server 2.9.0-7

=== debian/changelog ===
eole-ntp-server (2.9.0-7) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [c295041] add service for ntpdate in amonecole and seth
  * [7b33dcd] add service for ntpdate in amonecole and seth

  [ EOLE Build Daemon ]
  * [7a62d2a] lseys: Update package since “debian/eole/2.9.0-6”

 -- lseys <lseys@cadoles.com>  Mon, 15 Sep 2025 13:35:40 +0200

eole-ntp-server (2.9.0-6) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [7184416] Fix config sur scribe pour utiliser ntp_signd
  * [7651c6c] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [a11beaa] Laurent Gourvénec: Update package since “debian/eole/2.9.0-5”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 12 Dec 2024 16:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: eole-ntp-server-pkg
 Section: metapackages
 Architecture: all
-Conflicts: eole-server (<=2.9.0-26)
+Conflicts: eole-server (<=2.9.0-85)
 Depends: ntp,
          ntpdate,
 	 ntpstat,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

# Force init script name
override_dh_installinit:
	dh_installinit --noscripts -peole-server --name=ntpdate $@

override_dh_installsystemd:
	dh_installsystemd -peole-server --name=ntpdate

.PHONY: override_dh_builddeb override_dh_installinit override_dh_installsystemd

## eole-ntp-server 2.10.0-9

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-ntp-server
 VERSION=1.0
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ntp-server (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [7184416] Fix config sur scribe pour utiliser ntp_signd
  * [7ce614a] Merge branch '2.9.0/master'

  [ Joël Cuissinat ]
  * [bdec332] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3e0735f] Joël Cuissinat: Update package since “debian/eole/2.10.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 17 Dec 2024 16:03:28 +0100

eole-ntp-server (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [70a9dab] Re-Fix config sur scribe pour utiliser ntp_signd
  * [1e72c4d] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [702ffd3] Laurent Gourvénec: Update package since “debian/eole/2.10.0-7”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 29 Aug 2024 10:29:52 +0200

eole-ntp-server (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [f8d5c19] Fix config sur scribe pour utiliser ntp_signd
  * [9035c12] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9f5ac88] Laurent Gourvénec: Update package since “debian/eole/2.10.0-6”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 29 Aug 2024 10:11:38 +0200

eole-ntp-server (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [afce5a8] Bouger ntp.conf dans /etc/ntpsec/ sur scribe
  * [8093997] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [700a22f] Laurent Gourvénec: Update package since “debian/eole/2.10.0-5”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 28 Aug 2024 16:30:19 +0200

eole-ntp-server (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [39d093c] Fix reconfigure avec override.conf
  * [68d758a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [bb541c6] Laurent Gourvénec: Update package since “debian/eole/2.10.0-4”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 28 Aug 2024 14:00:17 +0200

eole-ntp-server (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2057f06] L’override n’est utile qu’en conteneur.
  * [31b1981] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [59837a0] Benjamin Bohard: Update package since “debian/eole/2.10.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 28 Aug 2024 10:14:12 +0200

eole-ntp-server (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [904f0c7] Pallier le problème entre apparmor et systemd en conteneur.
  * [6a0c293] Merge branch 'master' into dist/eole/2.10.0/master
  * [7464933] Ne pas arrêter le serveur ntp en cas d’offset trop important.
  * [e831dff] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c9d7bf5] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Jul 2024 16:01:49 +0200

eole-ntp-server (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [572c1d4] ntpsec n’utilise pas le fichier /etc/ntp.conf par défaut.
  * [cc2c443] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d7d90fa] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 03 Jun 2024 09:17:26 +0200

eole-ntp-server (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4628a60] Prepare release 2.10.0
  * [4267f31] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [fffc125] * 01_ntp_server.xml : ntp → ntpsec
  * [7de9e5b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a18af08] Joël Cuissinat: Update package since “debian/eole/2.9.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 19 Feb 2024 17:35:56 +0100
